C2DStackDistanceTransform::DistanceFromPoint Struct Reference

`#include <mia/3d/stackdisttrans.hh>`

Collaboration diagram for C2DStackDistanceTransform::DistanceFromPoint:
[legend]

## Public Member Functions

| DistanceFromPoint (C3DBounds _point, float _distance)

## Data Fields

float | distance
C3DBounds | point

## Detailed Description

Return type for the result of the evaluated distances

Definition at line 63 of file stackdisttrans.hh.

## Constructor & Destructor Documentation

## DistanceFromPoint()

C2DStackDistanceTransform::DistanceFromPoint::DistanceFromPoint | ( | C3DBounds | _point,
|  | float | _distance )

inline

Initializing constructor for the distance type

Parameters

  _point | location
  _distance | of the point to whatever is measured

Definition at line 70 of file stackdisttrans.hh.

References distance, and point.

## Field Documentation

## distance

float C2DStackDistanceTransform::DistanceFromPoint::distance

distance of the point to the mask

Definition at line 75 of file stackdisttrans.hh.

Referenced by DistanceFromPoint(), operator<<(), and operator==().

## point

C3DBounds C2DStackDistanceTransform::DistanceFromPoint::point

location of the point

Definition at line 74 of file stackdisttrans.hh.

Referenced by DistanceFromPoint(), operator<<(), and operator==().

The documentation for this struct was generated from the following file:

- stackdisttrans.hh